/*
 * setjmp.h X68k XC Compiler v2.10 Copyright 1990,91,92 SHARP/Hudson
 */
#ifndef	__SETJMP_H
#define	__SETJMP_H

#ifdef	FORWORD
#define	__PROTO_TYPE
#endif
#ifdef	__STDC__
#define	__PROTO_TYPE
#endif

struct _jmp_buf	{
	int	_D3;
	int	_D4;
	int	_D5;
	int	_D6;
	int	_D7;
	int	_A3;
	int	_A4;
	int	_A5;
	int	_A6;
	int	_A7;
	int	_PC;
};
typedef	struct _jmp_buf	jmp_buf[1];

#ifdef	__PROTO_TYPE

int	setjmp(struct _jmp_buf *);
void	longjmp(struct _jmp_buf *, int);

#undef	__PROTO_TYPE
#else

int	setjmp();
void	longjmp();

#endif

#endif
